Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 723102 - dev-java/icedtea-3.16.0 - A fatal error has been detected by the Java Runtime Environment: SIGSEGV (0xb) at pc=0x00007f9ffec40c92, pid=33428, tid=0x00007f9fe251f700
Summary: dev-java/icedtea-3.16.0 - A fatal error has been detected by the Java Runtime...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 3 votes (vote)
Assignee: Andrew John Hughes
URL:
Whiteboard:
Keywords:
: 724496 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-05-14 20:10 UTC by Dennis Schridde
Modified: 2020-06-12 20:02 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (build.log.xz,196.24 KB, application/x-xz)
2020-05-14 20:12 UTC, Dennis Schridde
Details
hs_err_pid33428.log (hs_err_pid33428.log,55.47 KB, text/x-log)
2020-05-14 20:12 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2020-05-14 20:10:05 UTC
dev-java/icedtea-3.16.0 fails to build:

Loading classes to share: done.
Rewriting and linking classes ...
Rewriting and linking classes: done
Number of classes 2564
    instance classes   =  2550
    obj array classes  =     6
    type array classes =     8
Calculating fingerprints ... done. 
Removing unshareable information ... done. 
ro space:   8830256 [ 39.5% of total] out of  16777216 bytes [52.6% used] at 0x0000000800000000
rw space:  11653528 [ 52.1% of total] out of  16777216 bytes [69.5% used] at 0x0000000801000000
md space:   1836856 [  8.2% of total] out of   4194304 bytes [43.8% used] at 0x0000000802000000
mc space:     34053 [  0.2% of total] out of    122880 bytes [27.7% used] at 0x0000000802400000
total   :  22354693 [100.0% of total] out of  37871616 bytes [59.0% used]
touch stamps/add-archive-boot.stamp
if [ -e /var/tmp/portage/dev-java/icedtea-3.16.0/work/icedtea-3.16.0/openjdk.build-boot/images/j2sdk-image/bin/java ] ; then \
  /var/tmp/portage/dev-java/icedtea-3.16.0/work/icedtea-3.16.0/openjdk.build-boot/images/j2sdk-image/bin/java -cp /var/tmp/portage/dev-java/icedtea-3.16.0/work/icedtea-3.16.0/test/cryptocheck.build TestCryptoLevel ; \
fi
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f9ffec40c92, pid=33428, tid=0x00007f9fe251f700
#
# JRE version: OpenJDK Runtime Environment (8.0_252-b09) (build 1.8.0_252-b09)
# Java VM: OpenJDK 64-Bit Server VM (25.252-b09 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# V  [libjvm.so+0x806c92]  Node::Node(unsigned int)+0x22
#
# Core dump written. Default location: /var/tmp/portage/dev-java/icedtea-3.16.0/work/icedtea-3.16.0/core or core.33428
#
[thread 140324670392064 also had an error]
# An error report file with more information is saved as:
# /var/tmp/portage/dev-java/icedtea-3.16.0/work/icedtea-3.16.0/hs_err_pid33428.log

[error occurred during error reporting , id 0xb]

#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   https://icedtea.classpath.org/bugzilla
#
/bin/sh: line 2: 33428 Aborted                 (core dumped) /var/tmp/portage/dev-java/icedtea-3.16.0/work/icedtea-3.16.0/openjdk.build-boot/images/j2sdk-image/bin/java -cp /var/tmp/portage/dev-java/icedtea-3.16.0/work/icedtea-3.16.0/test/cryptocheck.build TestCryptoLevel
make: *** [Makefile:2725: stamps/check-crypto-boot.stamp] Error 134

Reproducible: Always
Comment 1 Dennis Schridde 2020-05-14 20:12:16 UTC
Created attachment 639086 [details]
build.log.xz

Portage 2.3.99 (python 3.6.9-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-10.1.0, glibc-2.31-r3, 5.6.11 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.6.11-x86_64-AMD_Ryzen_5_2400G_with_Radeon_Vega_Graphics-with-gentoo-2.7
KiB Mem:    14128440 total,   2285368 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Thu, 14 May 2020 19:45:01 +0000
Head commit of repository gentoo: 12f0d00cb48951e5cd4a58d0a19373181f0d99cf
Head commit of repository flatpak-overlay: 2bcc4b030ff8288683533a84f15777680c8c883e

Head commit of repository local: 81f7cbe5fd1e848eebc861f574951e536e273ddf

sh bash 5.0_p17
ld GNU gold (Gentoo 2.34 p1 2.34.0) 1.16
ccache version 3.7.9 [disabled]
app-shells/bash:          5.0_p17::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.2::gentoo
dev-lang/python:          2.7.18::gentoo, 3.6.10-r2::gentoo, 3.7.7-r2::gentoo, 3.8.2-r2::gentoo, 3.9.0_alpha6::gentoo
dev-util/ccache:          3.7.9::gentoo
dev-util/cmake:           3.17.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.2::gentoo
sys-devel/binutils:       2.34::gentoo
sys-devel/gcc:            9.3.0::gentoo, 10.1.0::gentoo
sys-devel/gcc-config:     2.2.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.6::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r3::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes

flatpak-overlay
    location: /var/db/repos/flatpak-overlay
    sync-type: git
    sync-uri: https://github.com/fosero/flatpak-overlay.git
    masters: gentoo

crossdev
    location: /var/cache/portage/crossdev
    masters: gentoo
    priority: 100

local
    location: /var/cache/portage/local
    sync-type: git
    sync-uri: https://github.com/devurandom/gentoo-overlay.git
    masters: gentoo
    priority: 1000

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=znver1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/grs/systems.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.6/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=znver1"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fakeroot fixlafiles ipc-sandbox merge-sync mount-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j6 -l4"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="7z 7zip X a52 aac aacplus aacs acl acpi activities aio alsa amd64 appindicator appstream archive audit avahi ayatana bdplus berkdb blake2 bluetooth bluray bpf branding brotli bs2b btrfs bzip2 cairo caps cdda cddb cdio cdr celt chromaprint cjk clang cli clipboard color-management colord conntrack crypt cups d3d9 dav1d dbus declarative device-mapper dirac djvu dri drm dts dvb dvd dvdr ed25519 editorconfig egl elf emboss encode epub evdev exif faudio fax fbcon fdk ffmpeg fftw filecaps firefox firewalld fish-completion fits flac fontconfig fontforge fortran fribidi gamepad gbm gdal gdbm geoclue geolocation gif git gles2 gmp gnome-online-accounts gnupg google googledrive gpg gps graphicsmagick gstreamer gtk gtk3 gzip harfbuzz hdf5 heif http2 ibus iconv icu idn imlib inotify introspection ipv6 jemalloc jpeg jpeg2k json kde kipi kms kwallet ladspa latex lcms libatomic libglvnd libidn2 libinput libnotify libproxy libsecret libsoxr libtirpc libvirt lm-sensors lrz lv2 lvm lz4 lzma lzo mad mariadb markdown mbim mercurial mjpeg mng mobi modemmanager modplug mp3 mp4 mpeg mplayer mpris mtp multilib mysql ncurses netlink networkmanager nftables nls nptl numa office ofx ogg openal opencl opencv openexr opengl openh264 openmax openmp opus pam pango pcap pch pcre pcre2 pdf pgo phonon pixman pkcs11 pkcs7 plasma pm-utils png policykit postscript ppds prison pulseaudio pwquality python qml qrcode qt5 raw rdp readline redfish samba sasl scanner schroedinger screencast sctp sdl sdl2 seccomp semantic-desktop share smartcard snappy sparse speech speex spell spice ssl startup-notification steamruntime stemmer svg systemd systemtap tbb tcpd teamd telemetry telepathy tga theora threads thunderbolt tiff timezone tmux truetype tslib udev udisks uinput unicode unwind upnp upnp-av upower usb utempter v4l v4l2 vaapi vdpau vkd3d vorbis vpx vulkan wasm wavpack wayland webchannel webengine webp widgets wireguard wmf woff2 wps x264 x265 xattr xcb xinerama xkb xml xmp xrandr xscreensaver xv xvid xwayland xxhash xz yaml zeroconf zeromq zimg zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="joystick libinput" KERNEL="linux" L10N="de de-DE en en-GB ar fa tr ja ko zh zh-CN zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-javascript wiki-publisher" LIRC_DEVICES="devinput" LLVM_TARGETS="AMDGPU BPF RISCV WebAssembly" LUA_TARGET="lua5-2" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7 pypy pypy3" QEMU_SOFTMMU_TARGETS="riscv32 riscv64 x86_64" QEMU_USER_TARGETS="riscv32 riscv64" RUBY_TARGETS="ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="amdgpu virgl" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

dev-java/icedtea-3.15.0::gentoo was built with the following:
USE="alsa cups gtk jbootstrap pch pulseaudio sctp shenandoah smartcard system-lcms (-cacao) -doc -examples -headless-awt (-jamvm) -kerberos -libressl (-nsplugin) -pax_kernel (-selinux) -source -test (-webstart) -zero" ABI_X86="(64)"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fakeroot fixlafiles ipc-sandbox merge-sync mount-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"


dev-java/openjdk-8.252_p09::gentoo was built with the following:
USE="alsa cups jbootstrap pch -debug -doc -examples -headless-awt (-nsplugin) (-selinux) -source (-webstart)" ABI_X86="(64)"
CFLAGS="-pipe -O2 -march=znver1 -fcommon"
CXXFLAGS="-pipe -O2 -march=znver1 -fcommon"


dev-java/openjdk-11.0.7_p10::gentoo was built with the following:
USE="alsa cups gentoo-vm javafx jbootstrap pch systemtap -debug -doc -examples -headless-awt (-nsplugin) (-selinux) -source (-webstart)" ABI_X86="(64)"
CFLAGS="-pipe -O2 -march=znver1 -fcommon"
CXXFLAGS="-pipe -O2 -march=znver1 -fcommon"
Comment 2 Dennis Schridde 2020-05-14 20:12:36 UTC
Created attachment 639088 [details]
hs_err_pid33428.log
Comment 3 Mark Wright gentoo-dev 2020-05-15 23:40:44 UTC
Reproduced this.
Comment 4 James McClain 2020-05-24 01:05:00 UTC
I was able to work around this error by adding this huge set of CFLAGS from here: https://src.fedoraproject.org/fork/jerboaa/rpms/java-1.8.0-openjdk/c/e2c0e0e31176db7eeb6eadc190c87d9bf1c9c542

CFLAGS="${CFLAGS} -fno-tree-pta -fno-tree-scev-cprop -fno-tree-sink -fno-tree-slp-vectorize -fno-tree-slsr -fno-tree-sra -fno-tree-switch-conversion -fno-tree-tail-merge -fno-tree-ter -fno-tree-vrp -fno-unit-at-a-time -fno-unswitch-loops -fno-vect-cost-model -fno-version-loops-for-strides -fno-tree-coalesce-vars -fno-tree-copy-prop -fno-tree-dce -fno-tree-dominator-opts -fno-tree-dse -fno-tree-forwprop -fno-tree-fre -fno-tree-loop-distribute-patterns -fno-tree-loop-distribution -fno-tree-loop-vectorize -fno-tree-partial-pre -fno-tree-phiprop -fno-tree-pre"

Unfortunately, I also needed to apply this patch to get it to completely merge:
https://src.fedoraproject.org/fork/jerboaa/rpms/java-1.8.0-openjdk/blob/4408c2610784bf0ba503ac53b629b748b7bf202f/f/jdk8218811-perfMemory_linux.patch
Comment 5 Georgy Yakovlev gentoo-dev 2020-05-24 03:29:13 UTC
user in openjdk bug suggests that
fno-lifetime-dse

is the only flag that's really needed
Comment 6 Georgy Yakovlev gentoo-dev 2020-05-24 03:36:30 UTC
actually it's 
-fno-delete-null-pointer-checks and -fno-lifetime-dse


build system should have passed those flag for gcc>=6, but 
gcc10 version was mis-identified

proper patch is in 
https://bugs.openjdk.java.net/browse/JDK-8244760
Comment 7 Dennis Schridde 2020-05-24 11:49:39 UTC
(In reply to Georgy Yakovlev from comment #6)
> actually it's 
> -fno-delete-null-pointer-checks and -fno-lifetime-dse
> 
> 
> build system should have passed those flag for gcc>=6, but 
> gcc10 version was mis-identified
> 
> proper patch is in 
> https://bugs.openjdk.java.net/browse/JDK-8244760

Thanks for the hint.

Until Gentoo is updated to include this patch, I massaged it to apply from user patches: https://github.com/devurandom/gentoo-patches/commit/0566ef9587a0374f70bf04491b17745fab45ecde

Note that for it to be applied, you'll also need to adjust an environment variable:
❯ cat /etc/portage/env/dev-java/icedtea-3.16.0 
export DISTRIBUTION_PATCHES=patches/icedtea-3.16.0-gcc-10-39a7914e14a0.patch
Comment 8 Matt Whitlock 2020-05-28 19:33:49 UTC
(In reply to Dennis Schridde from comment #7)
> Until Gentoo is updated to include this patch, I massaged it to apply from
> user patches:
> https://github.com/devurandom/gentoo-patches/commit/
> 0566ef9587a0374f70bf04491b17745fab45ecde
> 
> Note that for it to be applied, you'll also need to adjust an environment
> variable:
> ❯ cat /etc/portage/env/dev-java/icedtea-3.16.0 
> export DISTRIBUTION_PATCHES=patches/icedtea-3.16.0-gcc-10-39a7914e14a0.patch

This patch (along with unrelated fixes for Bashisms in the build system) fixes the build for me on ~amd64 with GCC 10.1.0.

Note, the direct URL for the patch to be placed in /etc/portage/patches/dev-java/icedtea-3.16.0-r0 is:
https://raw.githubusercontent.com/devurandom/gentoo-patches/0566ef9587a0374f70bf04491b17745fab45ecde/dev-java/icedtea-3.16.0/icedtea-3.16.0-gcc-10-39a7914e14a0.patch
Comment 9 Andrew John Hughes 2020-05-29 20:07:42 UTC
The versioning fix is upstream so will be in OpenJDK 8u262 & IcedTea 3.17.0 in July.

In the meantime, I'll update the ebuild in java-overlay to work with GCC 10. It should also need -fcommon to build.
Comment 10 Matt Whitlock 2020-05-29 22:07:17 UTC
(In reply to Andrew John Hughes from comment #9)
> In the meantime, I'll update the ebuild in java-overlay to work with GCC 10.
> It should also need -fcommon to build.

FWIW: I didn't need to add -fcommon to build dev-java/icedtea-3.16.0 with sys-devel/gcc-10.1.0.
Comment 11 Georgy Yakovlev gentoo-dev 2020-05-29 22:37:47 UTC
because I'be already added it to the version in ::gentoo repo
Comment 12 Georgy Yakovlev gentoo-dev 2020-06-01 20:45:19 UTC
*** Bug 724496 has been marked as a duplicate of this bug. ***
Comment 13 Finn Olmsted 2020-06-03 23:13:44 UTC
this still happens to me on gcc (Gentoo 10.1.0 p1) 10.1.0
Comment 14 Bernd 2020-06-04 05:19:39 UTC
same here
Comment 15 Larry the Git Cow gentoo-dev 2020-06-10 20:41:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75e37a97489d145e67b8da33359ecfc667691e2b

commit 75e37a97489d145e67b8da33359ecfc667691e2b
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-06-10 20:40:53 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-06-10 20:41:25 +0000

    dev-java/icedtea: add gcc10 workarounds
    
    Bug: https://bugs.gentoo.org/723102
    Package-Manager: Portage-2.3.100, Repoman-2.3.22
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/icedtea/icedtea-3.16.0.ebuild | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)
Comment 16 Christohper Harrington 2020-06-12 20:02:34 UTC
Confirming that I'm able to build.

charrington@shore ~ $ emerge --info icedtea
Portage 2.3.100 (python 3.7.7-final-0, default/linux/amd64/17.1/no-multilib, gcc-10.1.0, glibc-2.31-r5, 5.7.0-gentoo-shore x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.7.0-gentoo-shore-x86_64-AMD_Ryzen_7_1700_Eight-Core_Processor-with-gentoo-2.7
KiB Mem:    32763404 total,  14418308 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Thu, 11 Jun 2020 22:00:01 +0000
Head commit of repository gentoo: 245c81eb328027b757ef840caca48c12cf18965e
sh bash 5.0_p17
ld GNU ld (Gentoo 2.34 p4) 2.34.0
app-shells/bash:          5.0_p17::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.3-r1::gentoo
dev-lang/python:          2.7.18::gentoo, 3.7.7-r2::gentoo, 3.8.3::gentoo, 3.9.0_beta3::gentoo
dev-util/cmake:           3.17.3::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.69-r5::gentoo
sys-devel/automake:       1.16.2::gentoo
sys-devel/binutils:       2.34-r1::gentoo
sys-devel/gcc:            10.1.0::gentoo
sys-devel/gcc-config:     2.3::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r5::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts:
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=3 --complete-graph --with-bdeps=y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-backup unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j20"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bzip2 cli crypt dri dvd fdk fortran gdbm iconv ipv6 jpeg json libtirpc lzo ncurses nfsv41 nptl openmp pcre pcre16 png python readline seccomp split-usr sqlite ssl syslog tcpd udev unicode uuid x264 xattr xml yaml zlib" ABI_X86="64" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="void" KERNEL="linux" L10N="en en-US" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7" RUBY_TARGETS="ruby25 ruby27 ruby26" USERLAND="GNU" VIDEO_CARDS="dummy"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

dev-java/icedtea-3.16.0::gentoo was built with the following:
USE="headless-awt jbootstrap source system-lcms -alsa (-cacao) -cups -doc -examples -gtk (-jamvm) -kerberos -libressl (-nsplugin) -pax_kernel -pch -pulseaudio -sctp (-selinux) -shenandoah -smartcard -test (-webstart) -zero"
CFLAGS="-O2 -pipe -march=native -fcommon -fno-delete-null-pointer-checks -fno-lifetime-dse"
CXXFLAGS="-O2 -pipe -march=native -fcommon -fno-delete-null-pointer-checks -fno-lifetime-dse"
FEATURES="protect-owned ipc-sandbox userfetch buildpkg assume-digests merge-sync preserve-libs fixlafiles config-protect-if-modified unknown-features-warn strict pid-sandbox multilib-strict qa-unresolved-soname-deps sfperms distlocks parallel-fetch usersync unmerge-orphans binpkg-logs unmerge-backup sandbox news binpkg-dostrip unmerge-logs network-sandbox parallel-install usersandbox downgrade-backup userpriv ebuild-locks binpkg-docompress"